package com.zehong.system.task.event;

import org.springframework.context.ApplicationEvent;

/**
 * @author lenovo
 * @date 2026/7/18
 * @description IOT status event
 */
public class IotStatusEvent  extends ApplicationEvent {

    private String storeyCode;

    public IotStatusEvent(Object source, String storeyCode) {
        super(source);
        this.storeyCode = storeyCode;
    }

    public String getStoreyCode() {
        return storeyCode;
    }

    public void setStoreyCode(String storeyCode) {
        this.storeyCode = storeyCode;
    }
}
